##########################################################################################
##########################################################################################
#
#Magisk模块说明:
#
# 1. 将您的文件放入 system 文件夹 (删除 placeholder 文件)
# 2. 将模块信息写入 module.prop
# 3. 在这个文件中进行设置 (config.sh)
# 4. 如果您需要在启动时执行命令, 请把它们加入 common/post-fs-data.sh 或 common/service.sh
# 5. 如果需要修改系统属性(build.prop), 请把它加入 common/system.prop
#
##########################################################################################
##########################################################################################
# 配置
##########################################################################################
# 如果您需要启用 Magic Mount, 请把它设置为 true
# 大多数模块都需要启用它
AUTOMOUNT=true
# 如果您需要加载 system.prop, 请把它设置为 true
PROPFILE=true
# 如果您需要执行 post-fs-data 脚本, 请把它设置为 true
POSTFSDATA=true
# 如果您需要执行 service 脚本, 请把它设置为 true
LATESTARTSERVICE=true
##########################################################################################
# 安装信息
##########################################################################################
# 在这里设置您想要在模块安装过程中显示的信息
print_modname() {
ui_print "*******************************"
ui_print "-For iOS音效 酷安@君子健&kikiyoi"
ui_print "*******************************"
}
##########################################################################################
# 替换列表
##########################################################################################
# 列出您想在系统中直接替换的所有目录
# 查看文档，了解更多关于Magic Mount如何工作的信息，以及您为什么需要它
# 这是个示例
REPLACE="
/system/app
/system/app/Youtube
/system/priv-app
/system/priv-app/SystemUI
/system/framework
"
# 在这里构建您自己的列表，它将覆盖上面的示例
# 如果你不需要替换任何东西，!千万不要! 删除它，让它保持现在的状态
REPLACE="
/system/media/audio/ui/LowBattery.ogg
/system/media/audio/ui/charging.ogg
/system/media/audio/ui/Lock.ogg
/system/media/audio/ui/Unlock.ogg
/system/media/audio/ui/camera_click.ogg
/system/media/audio/ui/charge_wireless.ogg
/system/media/audio/ui/disconnect.ogg
/system/media/audio/ui/IncomingMessage.ogg
/system/media/audio/ui/relieve.ogg
/system/media/audio/ui/screenshot.ogg
/system/media/audio/ui/VideoRecord.ogg
/system/media/audio/ui/VideoStop.ogg
/system/media/audio/ui/Water_Notification_Day.ogg
/system/media/audio/ui/Water_Notification_Evening.ogg
/system/media/audio/ui/Water_Notification_Midday.ogg
/system/media/audio/ui/Water_Notification_Night.ogg
/system/media/audio/ui/WaterDrop_preview.ogg
/system/media/audio/ui/WaterDropNotificationDay1.ogg
/system/media/audio/ui/WaterDropNotificationDay2.ogg
/system/media/audio/ui/WaterDropNotificationDay3.ogg
/system/media/audio/ui/WaterDropNotificationEvening1.ogg
/system/media/audio/ui/WaterDropNotificationEvening2.ogg
/system/media/audio/ui/WaterDropNotificationEvening3.ogg
/system/media/audio/ui/WaterDropNotificationMidday1.ogg
/system/media/audio/ui/WaterDropNotificationMidday2.ogg
/system/media/audio/ui/WaterDropNotificationMidday3.ogg
/system/media/audio/ui/WaterDropNotificationNight1.ogg
/system/media/audio/ui/WaterDropNotificationNight2.ogg
/system/media/audio/ui/WaterDropNotificationNight3.ogg
/system/media/audio/ui/WaterDropNotificationSeqAllDay1.ogg
/system/media/audio/ui/WaterDropNotificationSeqAllDay2.ogg
/system/media/audio/ui/WaterDropNotificationSeqAllDay3.ogg
"
##########################################################################################
# 权限设置
##########################################################################################
set_permissions() {
# 只有一些特殊文件需要特定的权限
# 默认的权限应该适用于大多数情况
# 下面是 set_perm 函数的一些示例:
# set_perm_recursive  <目录>                <所有者> <用户组> <目录权限> <文件权限> <上下文> (默认值是: u:object_r:system_file:s0)
# set_perm_recursive  $MODPATH/system/lib       0       0       0755        0644
# set_perm  <文件名>                         <所有者> <用户组> <文件权限> <上下文> (默认值是: u:object_r:system_file:s0)
# set_perm  $MODPATH/system/bin/app_process32   0       2000      0755       u:object_r:zygote_exec:s0
# set_perm  $MODPATH/system/bin/dex2oat         0       2000      0755       u:object_r:dex2oat_exec:s0
# set_perm  $MODPATH/system/lib/libart.so       0       0         0644
# 以下是默认权限，请勿删除
set_perm_recursive  $MODPATH  0  0  0755  0644
}
##########################################################################################
# 自定义函数
##########################################################################################

##########################################################################################
# 模块的本质有底线
##########################################################################################